Cancel Entity Transfer (Banking Connectivity)
curl --request POST \
--url https://api-sandbox.y.uno/v1/banking/accounts/{account_id}/transfers/{transfer_id}/cancel \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/accounts/{account_id}/transfers/{transfer_id}/cancel"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/accounts/{account_id}/transfers/{transfer_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "VALIDATION_ERROR",
"messages": [
"Only transfers in PENDING status can be cancelled"
],
"http_code": 400
}{
"code": "ACCOUNT_NOT_FOUND",
"messages": [
"Account not found"
],
"http_code": 404
}Entity Transfers (Banking Connectivity)
Cancel Entity Transfer (Banking Connectivity)
POST
/
banking
/
accounts
/
{account_id}
/
transfers
/
{transfer_id}
/
cancel
Cancel Entity Transfer (Banking Connectivity)
Cancel a pending transfer. Only transfers in
PENDING status can be cancelled. Transfers that have moved to PROCESSING or later statuses cannot be cancelled.Path Parameters
The unique identifier of the account. Found on the Yuno dashboard (UUID, 36 chars).
The id of the transfer obtained from Initiate Entity Transfer (UUID, 36 chars).
Response
Was this page helpful?
⌘I